SeExpr

Classes | Namespaces | Typedefs | Functions
ExprControl.h File Reference
`#include <QTextBrowser>`
`#include <QPlainTextEdit>`
`#include <QDialog>`
`#include <QTimer>`
`#include <QRegExp>`
`#include <QLineEdit>`
`#include <QCheckBox>`
`#include <QSlider>`
`#include "ExprCurve.h"`
`#include "ExprColorCurve.h"`
`#include "ExprDeepWater.h"`

Go to the source code of this file.

## Classes
struct | GenericCurveEditable< TVAL >
class | ExprControl
| Base class for all controls for Expressions. More...
class | ExprLineEdit
| Line Editor Widget(used for numbers) More...
class | ExprSlider
| Generic Slider (used for int and float sliders) More...
class | ExprChannelSlider
| Channel Slider (i.e. for colors) More...
class | NumberControl
| Number slider for either float or int data. More...
class | VectorControl
| A vector or color control (named vector because it edits a SeExpr2::Vec3d literal) More...
class | StringControl
| A control for editing strings, filenames, and directories. More...
class | CurveControl
| Control for editing a normal curve ramp. More...
class | CCurveControl
| Control for editing a color ramp curve. More...
class | AnimCurveControl
class | ColorSwatchControl
| A control for editing color swatches. More...
class | DeepWaterControl
| Control for displaying a deep water spectrum. More...

## Namespaces
| animlib

## Typedefs
typedef GenericCurveEditable< SeExpr2::Vec3d > | ColorCurveEditable
typedef GenericCurveEditable< double > | CurveEditable

## Functions
template<class T , class T2 , class T3 >
T | clamp (const T val, const T2 minval, const T3 maxval)
| clamp val to the specified range [minval,maxval] More...

## Typedef Documentation

## ◆ ColorCurveEditable

typedef GenericCurveEditable<SeExpr2::Vec3d> ColorCurveEditable

Definition at line 44 of file ExprControl.h.

## ◆ CurveEditable

typedef GenericCurveEditable<double> CurveEditable

Definition at line 46 of file ExprControl.h.

## Function Documentation

## ◆ clamp()

template<class T , class T2 , class T3 >

T clamp | ( | const T | val,
|  | const T2 | minval,
|  | const T3 | maxval
| ) |  |

clamp val to the specified range [minval,maxval]

Definition at line 94 of file ExprControl.h.